org.apache.jmeter.report.processor.graph

## Class GroupInfo

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.GroupInfo

-     public class GroupInfo
      extends java.lang.Object

  The class GroupInfo stores information about the series group of a graph.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupInfo(AggregatorFactory aggregatorFactory, GraphSeriesSelector seriesSelector, GraphValueSelector valueSelector, boolean enableOverallSeries, boolean enableAggregatedKeysSeries)` Instantiates a new group info.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `enablesAggregatedKeysSeries()` Enables aggregated keys seriesData.
    `boolean` | `enablesOverallSeries()` Enables overall seriesData.
    `AggregatorFactory` | `getAggregatorFactory()` Gets the aggregator factory.
    `GroupData` | `getGroupData()` Gets the group data.
    `GraphSeriesSelector` | `getSeriesSelector()` Gets the seriesData selector.
    `GraphValueSelector` | `getValueSelector()` Gets the value selector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupInfo

          public GroupInfo(AggregatorFactory aggregatorFactory,
                           GraphSeriesSelector seriesSelector,
                           GraphValueSelector valueSelector,
                           boolean enableOverallSeries,
                           boolean enableAggregatedKeysSeries)

      Instantiates a new group info.
      Parameters:
        `aggregatorFactory` - the aggregator factory
        `seriesSelector` - the series selector
        `valueSelector` - the value selector
        `enableOverallSeries` - the enable overall series
        `enableAggregatedKeysSeries` - the enable aggregated keys series

  - ### Method Detail

    - #### enablesAggregatedKeysSeries

          public final boolean enablesAggregatedKeysSeries()

      Enables aggregated keys seriesData.
      Returns:
        the enableAggregatedKeysSeries

    - #### enablesOverallSeries

          public final boolean enablesOverallSeries()

      Enables overall seriesData.
      Returns:
        the enableOverallSeries

    - #### getSeriesSelector

          public final GraphSeriesSelector getSeriesSelector()

      Gets the seriesData selector.
      Returns:
        the seriesData selector

    - #### getValueSelector

          public final GraphValueSelector getValueSelector()

      Gets the value selector.
      Returns:
        the value selector

    - #### getAggregatorFactory

          public final AggregatorFactory getAggregatorFactory()

      Gets the aggregator factory.
      Returns:
        the aggregatorFactory

    - #### getGroupData

          public final GroupData getGroupData()

      Gets the group data.
      Returns:
        the group data

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.